Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ttsolver
Class TimetableXMLLoader

    java.lang.Object
      ttsolver.TimetableLoader
          ttsolver.TimetableXMLLoader

    public class TimetableXMLLoader

extends TimetableLoader

This class loads the input model from XML file.
Parameters:

Parameter | Type | Comment
--- | --- | ---
General.Input | `String` | Input XML file
General.InitialAssignment | `Boolean` | Use the solution as initial assignment
General.UseDepartmentSpreadConstraints | `Boolean` | Use `DepartmentSpreadConstraint`
General.MPP | `Boolean` | Minimal perturbation problem (if true, initial assignments are set from solution)
General.ForcedPerturbances | `Integer` | For testing of MPP: number of input perturbations, i.e., classes with prohibited intial assignment
General.UseDistanceConstraints | `Boolean` | Consider distances between buildings

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`TimetableXMLLoader(TimetableModel model)`

Method Summary
`void` | `load(PrintWriter out)` Load the model.

Methods inherited from class ttsolver.TimetableLoader
`getModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimetableXMLLoader

    public TimetableXMLLoader(TimetableModel model)

Method Detail

### load

    public void load(PrintWriter out)
              throws Exception

  Description copied from class: `TimetableLoader`
  Load the model.

  Specified by:
    `load` in class `TimetableLoader`
  Parameters:
    `out` - some error/warning/info messages could be printed here
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller